//////////////////////////////////////////////
// SwitchToRightClick
//      マウスの左ボタンを押します。ダブルクリック、ドラッグできます。
//
//　    　　　　　2023/3/25　　M.Kojima
//
#include <DigiMouse.h>
//#include <DigiKeyboard.h>
//#include <DigiUSB.h>

#define MODE_DEBUG 0
#define MODE_KEY 1
#define MODE_MOUSE 2
#define MODE MODE_MOUSE

const bool EnableLong = true;    // true:長押し有効
const bool DoubleClick = false;  // true:ダブルクリック（MODE_MOUSEの時のみ有効）
const bool RightClick = true;    // true:右クリック （MODE_MOUSEの時のみ有効）
//const int SendCode = KEY_SPACE;
//const int SendCode = KEY_ENTER;
const int SendModif = 0;

const int Interval = 100;     // ダブルクリックの間隔 ms
const int CheckHist = B1111;  // 過去4回分を確認
const int PinSw1 = 0;
const int PinLed = 1;
bool lastSw1 = false;        // 1つ前の状態 true:押されている false:離されている
int inputHist1 = CheckHist;  // ずっと離されている

void setup();
void loop();
