
void loop() {
  //  チャタリング対策
  inputHist1 = ((inputHist1 << 1) + digitalRead(PinSw1)) & CheckHist;

  if (inputHist1 == 0 && !lastSw1) {
#if MODE == MODE_KEY
    digitalWrite(PinLed, HIGH);
    if (EnableLong) {
      DigiKeyboard.sendKeyPress(SendCode, SendModif);
    } else {
      DigiKeyboard.sendKeyStroke(SendCode, SendModif);
      DigiKeyboard.delay(Interval);
      digitalWrite(PinLed, LOW);
    }
#endif
#if MODE == MODE_MOUSE
    digitalWrite(PinLed, HIGH);
    if (EnableLong) {
      if (RightClick) {
        DigiMouse.setButtons(2);  //right button
      } else {
        DigiMouse.setButtons(1);  //left button
      }
    } else {
      if (RightClick) {
        DigiMouse.setButtons(2);  //right button
      } else {
        DigiMouse.setButtons(1);  //left button
      }
      DigiMouse.delay(Interval);
      DigiMouse.setButtons(0);  //unclick all

      if (DoubleClick) {
        digitalWrite(PinLed, LOW);
        DigiMouse.delay(Interval);
        digitalWrite(PinLed, HIGH);
        if (RightClick) {
          DigiMouse.setButtons(2);  //right button
        } else {
          DigiMouse.setButtons(1);  //left button
        }
        DigiMouse.delay(Interval);
        DigiMouse.setButtons(0);  //unclick all
      }
      digitalWrite(PinLed, LOW);
    }
#endif
    lastSw1 = true;
  }
  if (inputHist1 == CheckHist && lastSw1) {
    if (EnableLong) digitalWrite(PinLed, LOW);
#if MODE == MODE_KEY
    if (EnableLong) DigiKeyboard.sendKeyPress(0, 0);
#endif
#if MODE == MODE_MOUSE
    if (EnableLong) DigiMouse.setButtons(0);  //unclick all
#endif
    lastSw1 = false;
  }
#if MODE == MODE_KEY
  DigiKeyboard.delay(10);
#endif
#if MODE == MODE_MOUSE
  DigiMouse.delay(10);
#endif

#if MODE == MODE_DEBUG
  DigiUSB.print(inputHist1);
  DigiUSB.print("  ");
  DigiUSB.delay(500);
#endif
}
